package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussUserLevel implements Serializable {
    private Integer id;

    private String rolecode;

    private String levelname;

    private String levelcode;

    private Long rate;

    private Long quota;

    private BigDecimal directrate;

    private BigDecimal indirectrate;

    private BigDecimal t2scale;

    private BigDecimal t3scale;

    private BigDecimal dividscale;

    private BigDecimal areascale;

    private BigDecimal jftrate;

    private Date createtime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public String getLevelname() {
        return levelname;
    }

    public void setLevelname(String levelname) {
        this.levelname = levelname == null ? null : levelname.trim();
    }

    public String getLevelcode() {
        return levelcode;
    }

    public void setLevelcode(String levelcode) {
        this.levelcode = levelcode == null ? null : levelcode.trim();
    }

    public Long getRate() {
        return rate;
    }

    public void setRate(Long rate) {
        this.rate = rate;
    }

    public Long getQuota() {
        return quota;
    }

    public void setQuota(Long quota) {
        this.quota = quota;
    }

    public BigDecimal getDirectrate() {
        return directrate;
    }

    public void setDirectrate(BigDecimal directrate) {
        this.directrate = directrate;
    }

    public BigDecimal getIndirectrate() {
        return indirectrate;
    }

    public void setIndirectrate(BigDecimal indirectrate) {
        this.indirectrate = indirectrate;
    }

    public BigDecimal getT2scale() {
        return t2scale;
    }

    public void setT2scale(BigDecimal t2scale) {
        this.t2scale = t2scale;
    }

    public BigDecimal getT3scale() {
        return t3scale;
    }

    public void setT3scale(BigDecimal t3scale) {
        this.t3scale = t3scale;
    }

    public BigDecimal getDividscale() {
        return dividscale;
    }

    public void setDividscale(BigDecimal dividscale) {
        this.dividscale = dividscale;
    }

    public BigDecimal getAreascale() {
        return areascale;
    }

    public void setAreascale(BigDecimal areascale) {
        this.areascale = areascale;
    }

    public BigDecimal getJftrate() {
        return jftrate;
    }

    public void setJftrate(BigDecimal jftrate) {
        this.jftrate = jftrate;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }
}